core::TerminalSession Class Reference

`#include <TerminalSession.h>`

Inheritance diagram for core::TerminalSession:
[legend]
Collaboration diagram for core::TerminalSession:
[legend]

## Public Member Functions

| TerminalSession (EPoll &ePoll, TCPServer &server)
| ~TerminalSession ()
int | getLines ()
void | clear ()
void | clearEOL ()
void | setCursorLocation (int x, int y)
void | setColor (int color)
void | setBackColor (int color)
void | saveCursor ()
void | restoreCursor ()
void | NextLine (int lines)
void | PreviousLine (int lines)
void | scrollArea (int start, int end)
Public Member Functions inherited from core::TCPSession
| TCPSession (EPoll &ePoll, TCPServer &server, std::string text="")
| ~TCPSession ()
virtual void | output (std::stringstream &data)
void | send ()
void | sendToAll ()
void | sendToAll (SessionFilter filter)
void | terminate ()
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
| TCPSocket (EPoll &ePoll, std::string text)
| ~TCPSocket ()
void | connect (IPAddress &address)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()

## Additional Inherited Members

Public Attributes inherited from core::TCPSession
Command * | grab = NULL
std::stringstream | out
TCPServer & | server
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Member Functions inherited from core::TCPSession
virtual void | onRegistered () override
| Called after the socket has been registered with epoll processing. More...
virtual void | onDataReceived (char *data, int len) override
virtual void | onLineReceived (std::string line)
virtual void | onBlockReceived (std::string block)
virtual void | onConnected ()
virtual void | protocol (std::string data)
void | setMode (Mode mode, int size=0)
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (std::string data)
| Called when data is received from the socket. More...
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Constructor & Destructor Documentation

## TerminalSession()

core::TerminalSession::TerminalSession | ( | EPoll & | ePoll,
|  | TCPServer & | server
| ) |  |

## ~TerminalSession()

core::TerminalSession::~TerminalSession | ( |  | ) |

## Member Function Documentation

## clear()

void core::TerminalSession::clear | ( |  | ) |

Clear the display.

## clearEOL()

void core::TerminalSession::clearEOL | ( |  | ) |

Clear the display from the cursor to the end of line.

## getLines()

int core::TerminalSession::getLines | ( |  | ) |

## NextLine()

void core::TerminalSession::NextLine | ( | int | lines | ) |

## PreviousLine()

void core::TerminalSession::PreviousLine | ( | int | lines | ) |

## restoreCursor()

void core::TerminalSession::restoreCursor | ( |  | ) |

## saveCursor()

void core::TerminalSession::saveCursor | ( |  | ) |

## scrollArea()

void core::TerminalSession::scrollArea | ( | int | start,
|  | int | end
| ) |  |

## setBackColor()

void core::TerminalSession::setBackColor | ( | int | color | ) |

## setColor()

void core::TerminalSession::setColor | ( | int | color | ) |

## setCursorLocation()

void core::TerminalSession::setCursorLocation | ( | int | x,
|  | int | y
| ) |  |

Set the location of the cursor on the display.

The documentation for this class was generated from the following files:

- TerminalSession.h
- TerminalSession.cpp